Search documentation of ExStreamClient

# ExStreamClient.Model.Images (ExStreamClient v0.1.10)

View Source

Schema representing a Images

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.Images{
      fixed_height: ExStreamClient.Model.ImageData.t(),
      fixed_height_downsampled: ExStreamClient.Model.ImageData.t(),
      fixed_height_still: ExStreamClient.Model.ImageData.t(),
      fixed_width: ExStreamClient.Model.ImageData.t(),
      fixed_width_downsampled: ExStreamClient.Model.ImageData.t(),
      fixed_width_still: ExStreamClient.Model.ImageData.t(),
      original: ExStreamClient.Model.ImageData.t()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()